document.addEventListener("DOMContentLoaded", function () {
    // Modal HTML structure
    const modalHTML = `
        <div class="modal fade" id="ageConfirmationModal" tabindex="-1" aria-labelledby="ageConfirmationModalLabel" aria-hidden="true" style="backdrop-filter: blur(8px);">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content" style="background: linear-gradient(135deg, #000000 30%, #333333 100%); color: #fff;">
                    <div class="modal-header border-0">
                        <h5 class="modal-title" id="ageConfirmationModalLabel" style="font-family: 'Roboto', sans-serif;">
                            <i class="bi bi-exclamation-circle-fill text-warning" style="margin-right: 10px;"></i>
                            Are You 18+?
                        </h5>
                    </div>
                    <div class="modal-body text-center">
                        <p style="font-family: 'Roboto', sans-serif;">This website is for users who are 18 or older. Please confirm your age to continue.</p>
                    </div>
                    <div class="modal-footer border-0 justify-content-center">
                        <button id="confirmYes" type="button" class="btn btn-primary" style="background-color: #6610f2; border: none;">Yes</button>
                        <button id="confirmNo" type="button" class="btn btn-secondary" style="background-color: #333; border: none;">No</button>
                    </div>
                </div>
            </div>
        </div>
    `;

    // Append modal to the body
    document.body.insertAdjacentHTML("beforeend", modalHTML);

    // Show modal on page load
    const ageModal = new bootstrap.Modal(document.getElementById("ageConfirmationModal"));
    ageModal.show();

    // Button event listeners
    document.getElementById("confirmYes").addEventListener("click", function () {
        ageModal.hide();
    });

    document.getElementById("confirmNo").addEventListener("click", function () {
        const modalContent = document.querySelector(".modal-content");
        modalContent.innerHTML = `
            <div class="modal-header border-0">
                <h5 class="modal-title" id="ageConfirmationModalLabel" style="font-family: 'Roboto', sans-serif;">
                    <i class="bi bi-exclamation-circle-fill text-warning" style="margin-right: 10px;"></i>
                    Access Denied
                </h5>
            </div>
            <div class="modal-body text-center">
                <p style="font-family: 'Roboto', sans-serif;">This website is only for users who are 18 or older. Please come back when you meet the age requirement.</p>
            </div>
            <div class="modal-footer border-0 justify-content-center">
                <button type="button" class="btn btn-primary" style="background-color: #6610f2; border: none;" onclick="location.reload();">Go Back</button>
            </div>
        `;
    });
});