document.addEventListener("DOMContentLoaded", function() {
    // Function to check if the device is mobile
    function isMobileDevice() {
        return /Mobi|Android/i.test(navigator.userAgent);
    }

    // Add event listener for the "Yes" button in the age confirmation modal
    document.body.addEventListener("click", function(event) {
        if (event.target && event.target.id === "confirmYes") {
            if (isMobileDevice()) {
                showMobilePopup();
            }
        }
    });

    // Function to display the mobile-specific popup
    function showMobilePopup() {
        const modalHTML = `
            <div class="modal fade" id="mobilePopupModal" tabindex="-1" aria-labelledby="mobilePopupModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content" style="background: #000; color: #fff;">
                        <div class="modal-header border-0">
                            <h5 class="modal-title" id="mobilePopupModalLabel" style="font-family: 'Roboto', sans-serif;">
                                <i class="bi bi-phone-fill text-warning" style="margin-right: 10px;"></i>
                            </h5>
                        </div>
                        <div class="modal-body text-center">
                            <a href="https://wa.link/searchfp" target="_blank">
                                <img src="image.png" alt="Special Offer" style="max-width: 100%; height: auto;">
                            </a>
                        </div>
                        <div class="modal-footer border-0 justify-content-center">
                        </div>
                    </div>
                </div>
            </div>
        `;

        // Append the modal to the body
        document.body.insertAdjacentHTML("beforeend", modalHTML);

        // Show the modal
        const mobileModal = new bootstrap.Modal(document.getElementById('mobilePopupModal'));
        mobileModal.show();
    }
});